For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
      • GETList or filter outcomes
      • POSTCreate an outcome
      • GETFetch a single outcome
      • PUTUpdate an outcome
      • DELDelete an outcome
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Communication ConfigurationOutcomes

List or filter outcomes

||View as Markdown|
GET
https://api.close.com/api/v1/outcome/
GET
/api/v1/outcome/
$curl https://api.close.com/api/v1/outcome/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "data": [
3 {
4 "applies_to": [
5 "calls",
6 "meetings"
7 ],
8 "created_by": "user_A6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
9 "date_created": "2025-07-29T10:30:00.000000+00:00",
10 "date_updated": "2025-07-29T10:30:00.000000+00:00",
11 "description": "Prospect is qualified and booked a demo of our software.",
12 "id": "outcome_03oUxZfoO6e2vHmcz1DiHR",
13 "name": "Demo Booked",
14 "organization_id": "orga_AbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
15 "type": "custom",
16 "updated_by": "user_A6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
17 },
18 {
19 "applies_to": [
20 "calls"
21 ],
22 "created_by": "user_A6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
23 "date_created": "2025-07-29T10:30:00.000000+00:00",
24 "date_updated": "2025-07-29T10:30:00.000000+00:00",
25 "description": "Call went to voicemail and a pre-recorded voicemail message was dropped.",
26 "id": "outcome_030Xl5QwKi7tPRLRtnuef3",
27 "name": "Left Pre-Recorded Voicemail",
28 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
29 "type": "vm-dropped",
30 "updated_by": "user_A6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
31 }
32 ],
33 "has_more": false
34}
Fetch a list of outcomes.
Was this page helpful?
Previous

Outcomes

Next

Create an outcome

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

_limitintegerOptionalDefaults to 100
Number of results to return.
_skipintegerOptionalDefaults to 0
Number of results to skip before returning, for pagination.
_fieldsstringOptional

Comma-separated list of fields to include in the response.

Response

Successful response
datalist of objects
has_moreboolean

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error